# Uses of Enum Class
org.apache.sling.models.annotations.ValidationStrategy

Packages that use ValidationStrategy
Package
Description
org.apache.sling.models.annotations

## Uses of ValidationStrategy in org.apache.sling.models.annotations

Methods in org.apache.sling.models.annotations that return ValidationStrategy
Modifier and Type
Method
Description
`static ValidationStrategy`
ValidationStrategy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ValidationStrategy[]`
ValidationStrategy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.